Void

Voids a card-present transaction that has not yet batched (open batch reversal).

❗️

(Advanced) For processing voids, we highly recommend using void-or-refund. Only use this route if you are CERTAIN the transaction has NOT BEEN batched.


Body Params
float
required

(Min: 0.01) The amount of the void. This endpoint should only be used if you are certain the transaction has NOT BEEN batched (still in open batch). For most use cases, use POST /terminal/void-or-refund instead, which will automatically determine whether to void or refund based on batch timing (typically 8pm EST).

json
required

(required, json literal) i.e. {"tax":2,"subtotal":10} can contain any json object. Will be blindly stored and returned during a GET operation. Values in meta may also appear in an email receipt if the template calls for it. The Stax front-end uses subtotal, tax, memo, lineItems = [].

string
enum
Defaults to Both

Possible values: No, Merchant, Customer, Both. Defaults to Both.

Allowed:
string
enum
Defaults to Credit

Possible values: Credit, Debit, Check, Gift, Loyalty. Defaults to Credit.

Allowed:
string

The id of the customer attributed to this credit.

string

The id of the invoice attributed to this charge.

string
required

The id of the register performing this operation. This should be the 'id' value returned by GET /terminal/register, not the serial or status_port. The register must match the register used for the original transaction.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json